Breakage and News tracker for debian testing [buster]

SolydXK is too quiet for you? SolydXK Enthusiast Editions, based on Debian Testing is for you! Here you can find news about Debian Testing and Unstable too, and also tests on SolydXK programs.
The support for SolydXK EE is provided by the community.
kurotsugi
Posts: 2121
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 03 May 2018 02:19

4.16 just arrived in unstable. we'll need to wait 15 days until it migrated to testing. though, I believe the spectre and meltdown already fixed on our newest 4.15. there's no indication that the 4.16 is a security related upgrade.

User avatar
san-claudio
Posts: 208
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 03 May 2018 11:39

Je ne sais la vérité de ce genre d'article qui date du 21 avril 2018...

User avatar
san-claudio
Posts: 208
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 05 May 2018 13:11

Ce jour le noyau 4.16 a été proposé déjà :

Code: Select all

san-claudio@solydxk:~$ uname -r
4.16.0-1-amd64

kurotsugi
Posts: 2121
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 06 May 2018 00:10

the last time I checked the tracker site, it was said that the kernel will arrive 15 days later :lol:
While the Linux 4.15 kernel series included Spectre and Meltdown mitigations for the 64-bit and 32-bit hardware architectures, the recently released Linux kernel 4.16 branch appears to be fully patched against those nasty vulnerabilities, bringing support for 64-bit ARM (AArch64) and IBM System z (s390) hardware.

if I understand it correctly, the latest kernel bring the patch for ARM and s390 cpu's, while amd64 cpu's already patched quite for a while. though, there's no harm to get the latest kernel quicker.

kurotsugi
Posts: 2121
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 22 May 2018 04:23

not a breakage report. network-manager-openconnect sees have been removed from testing repo. it still on the sid so it might come back after a while. it seems that it lost some dependencies after recent NM upgrade.

User avatar
MAYBL8
Posts: 1487
Joined: 10 Mar 2013 18:41
Location: Maryland Heights, MO USA
Contact:

Re: Breakage and News tracker for debian testing [buster]

Postby MAYBL8 » 25 May 2018 10:56

Latest update:

Code: Select all

apt-listchanges: News
---------------------

wine (3.0.1-1) unstable; urgency=medium

  The package wine-binfmt (not part of a standard Wine installation) will now
  automatically register Wine as interpreter for Windows executables.  This
  causes Wine to be invoked automatically whenever a matching file is executed.
  (Previously wine-binfmt only installed support for this, but you still needed
  to activate it manually.)

  Warning: This increases the risk of inadvertently launching Windows malware,
  so please make sure that you understand the security risks before installing
  this package.

  For more information please refer to Wine's README.debian.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 28 Jan 2018 18:51:42 +0100


User avatar
san-claudio
Posts: 208
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 21 Jun 2018 21:21

Je n'ai plus de son depuis hier : 2018-06-20: PulseAudio 12.0 has been released
Tous mes paramètres sont OK et un Live USB SolydX EE de quelques mois et MX Linux 17.1 fonctionne : j'ai le son.

Code: Select all

san-claudio@solydxk:~$ apt-cache policy pulseaudio
pulseaudio:
  Installé : 11.1-5
  Candidat : 11.1-5
 Table de version :
 *** 11.1-5 500
        500 http://deb.debian.org/debian testing/main amd64 Packages
        100 /var/lib/dpkg/status
san-claudio@solydxk:~$ cat /etc/modprobe.d/alsa-base.conf

options snd-hda-intel model=auto
AlsaMixer ok, Contrôle du volume PulseAudio ok.

User avatar
xendistar
Posts: 452
Joined: 08 Jun 2014 08:17
Location: Bournemouth, UK

Re: Breakage and News tracker for debian testing [buster]

Postby xendistar » 22 Jun 2018 06:30


kurotsugi
Posts: 2121
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 25 Jun 2018 00:47

I haven't updated my system for several days but I see no pulseaudio update today. aside from that my sound work just fine. though, I recall pulseaudio did behave strangely several days ago. the problem was the audio setting on pavucontrol suddenly got messed up. I unlock the setting and set it as I want then it works just fine after that.

User avatar
san-claudio
Posts: 208
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 27 Jun 2018 07:40

Lors de la mise à jour bug sur la nouvelle version Firefox 61.0 :
Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
bogues de gravité grave sur firefox (60.0.2 -> 61.0) <En attente de traitement>
b1 - #901600 - firefox: Please add the ffmpeg libraries as direct dependencies
Résumé :
firefox(1 bogue)

kurotsugi
Posts: 2121
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 28 Jun 2018 00:41

ffmpeg is installed as default so I assume there's no real breakage in real life. firefox functionality shouldn't get affected. I'm using the ESR version of firefox so please correct me if I'm wrong.

User avatar
san-claudio
Posts: 208
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 28 Jun 2018 07:18

Code: Select all

san-claudio@solydxk:~$ apt-cache policy ffmpeg
ffmpeg:
  Installé : 7:3.4.2-2+b2
  Candidat : 7:3.4.2-2+b2
 Table de version :
 *** 7:3.4.2-2+b2 500
        500 http://deb.debian.org/debian testing/main amd64 Packages
        100 /var/lib/dpkg/status
san-claudio@solydxk:~$
Le paquet ffmpeg était déjà installé je ne comprends pas trop le problème...Il faut peut-être un autre paquet...???

Il y a le même bug sur la version précédente Firefox 60.0.2-1 et pourtant j'ai tourné avec...
'However, it seems that firefox also uses them for its html5 support, e.g. h264
video playback. And without them, firefox either switches to flash on sites
that do have flash as a fallback option, which is patheric in terms of
performance, or does not play the relevant media at all and pops up a message
like "unsuppored file format" or something. When lauched from a terminal, this
message comes up
Reinstalling the above libraries brings back that precious html5 support, so
please make them as direct dependencies
.'

J'ai réinstallé les paquets indiqués :
libavcodec57 libavdevice57 libavfilter6 libavformat57 libavutil55 libswresample2 libswscale4
J'ai toujours :

Code: Select all

bogues de gravité grave sur firefox (60.0.2 -> 61.0) <En attente de traitement>
 b1 - #901600 - firefox: Please add the ffmpeg libraries as direct dependencies
Résumé :
 firefox(1 bogue)
Une installation des paquets en dépendances directes : mais encore !!!???.....
Attachments
maj 20180628 firefox 61.0 bug.txt
(11.58 KiB) Downloaded 32 times

kurotsugi
Posts: 2121
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 30 Jun 2018 12:37

apt-listbug can't see whether if you already installed ffmpeg or not. it only see the data on the bug tracker. you can ignore the mesage as long as firefox works.

User avatar
san-claudio
Posts: 208
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 30 Jun 2018 13:19

Oui tout à fait c'est ce que j'ai fait hier j'ai répondu Y au terminal et sur la nouvelle version de Firefox 61.0 désormais installée je ne vois rien d'anormal même sur des vidéos de page web que j'ai l'habitude de regarder : les vidéos s'affichent correctement.

User avatar
xendistar
Posts: 452
Joined: 08 Jun 2014 08:17
Location: Bournemouth, UK

Re: Breakage and News tracker for debian testing [buster]

Postby xendistar » 30 Jun 2018 21:12

I had this come up tonight after a dist-upgrade tonight.

Code: Select all

cryptsetup: WARNING: The initramfs image may not contain cryptsetup binaries 
    nor crypto modules. If that's on purpose, you may want to uninstall the 
    'cryptsetup-initramfs' package in order to disable the cryptsetup initramfs 
    integration and avoid this warning.
Here is the packages it uploaded (there is a couple of crypto packages on the first line)

Code: Select all

 ant ant-optional apparmor cryptsetup cryptsetup-bin gir1.2-gtk-3.0 gir1.2-harfbuzz-0.0
  gir1.2-pango-1.0 gir1.2-vte-2.91 gtk-update-icon-cache isomd5sum libapparmor1
  libcryptsetup12 libdevel-argnames-perl libdigest-hmac-perl libdw1 libelf1 libelf1:i386
  libgtk-3-0 libgtk-3-bin libgtk-3-common libharfbuzz-dev libharfbuzz-gobject0
  libharfbuzz-icu0 libharfbuzz0b libharfbuzz0b:i386 libkpathsea6 libnss3 libpango-1.0-0
  libpango-1.0-0:i386 libpangocairo-1.0-0 libpangocairo-1.0-0:i386 libpangoft2-1.0-0
  libpangoft2-1.0-0:i386 libpangoxft-1.0-0 libpangoxft-1.0-0:i386 libpython3.6
  libpython3.6-minimal libpython3.6-stdlib libservlet3.1-java libtext-csv-xs-perl
  libvte-2.91-0 libvte-2.91-common libvte9 libxml2 libxml2:i386 python-apt python-cairo
  python-crypto python-cups python-libxml2 python-parted python-pycurl python-sip python-smbc
  python-vte python-xapian python3-apt python3-cairo python3-cups python3-kiwisolver
  python3-psutil python3-pycurl python3-sip python3-smbc python3.6 python3.6-minimal
  usb-creator
The only crypto program I have installed is veracrypt, but I am not sure if this relates to veracrypt, the encrypted folder I have is still accessible?

User avatar
xendistar
Posts: 452
Joined: 08 Jun 2014 08:17
Location: Bournemouth, UK

Re: Breakage and News tracker for debian testing [buster]

Postby xendistar » 01 Jul 2018 09:01

OK, answering my own post this error seems to be covered by at least two bug reports

https://bugs.debian.org/cgi-bin/bugrepo ... bug=902183

https://bugs.debian.org/cgi-bin/bugrepo ... bug=901830

There are suggestions of removing files\packages but I think I may just leave until the dev had come to an agreement on how to resolve it to the satisfaction of all

User avatar
san-claudio
Posts: 208
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 01 Jul 2018 12:16

J'ai ce message aussi mais depuis au moins 3 jours...J'ai juste installé Cryptomator il y a plusieurs mois.

kurotsugi
Posts: 2121
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 03 Jul 2018 12:07

cryptsetup-initramfs is need in case where you need to encrypt your system at initramfs level. AFAIK it only needed if you have disk encryption on your system. if you didn't do that you didn't need cryptsetup-initramfs. IIRC the disk encryption is not used on the enthusiast version so that cryptsetup-initramfs isn't installed on our system (CMIIW). you can ignore that message if you didn't have cryptsetup-initramfs or using disk encryption.

kurotsugi
Posts: 2121
Joined: 09 Jan 2014 00:17

Re: Breakage and News tracker for debian testing [buster]

Postby kurotsugi » 04 Jul 2018 03:02

today I got this :

Code: Select all

serious bugs of upower (0.99.7-2 -> 0.99.8-1) <Outstanding>
 b1 - #902644 - upower: no longer emits plug/unplug events after upgrade to 0.99.8
Summary:
 upower(1 bug)

User avatar
san-claudio
Posts: 208
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Breakage and News tracker for debian testing [buster]

Postby san-claudio » 04 Jul 2018 12:37

A la mise à jour du mercredi 04 juillet 2018 je n'ai rien à signaler.
Attachments
maj 20180704.txt
(10.88 KiB) Downloaded 24 times


Return to “Testing zone”

Who is online

Users browsing this forum: No registered users and 2 guests